
#include<stdio.h>
#include<conio.h>
#include<string.h>
#include<stdlib.h>

void dibujo(int a)
{ int i;
textcolor(9);
switch(a)
{
	case 1:
		gotoxy(50,10);
		cprintf("-------");
		break;
	case 2:
		for(i=9;i>5;i--)
		{
		gotoxy(53,i);
		cprintf("|");
		}
		break;
	case 3:
		gotoxy(53,5);
		cprintf("-------");
		break;
	case 4:
		gotoxy(60,6);
		cprintf("|");
		break;
	case 5:
		gotoxy(60,7);
		cprintf("");

	}
	}














void main()
{
char palabra[6][10]={"casa","cuaderno","pescado","ordenador","alfombra"};
char pala;
int i,j,c1=0,c1a,c2=0,l,x;

clrscr();
randomize();
x=rand() %5;
l=strlen(palabra[x]);

for(i=0;i<l;i++)
	{
	gotoxy(i+1,10);
	cprintf("_");
	}
while((c2<5)&&(c1!=l))
	{
	textcolor(2);
	gotoxy(1,11);
	cprintf("\nintroduzca letra:");
	scanf("%c",&pala);
	getchar();
	gotoxy(17,12);
	cprintf("     ");
	textcolor(5);
	for(i=0;i<l;i++)
		if(pala==palabra[x][i])
		{
		c1++;
		gotoxy(i+1,10);
		cprintf("%c",palabra[x][i]);
		palabra[x][i]=0;
		}

	if(c1a==c1)
	{
	c2++;
	dibujo(c2);
	}

       c1a=c1;

}
gotoxy(1,15);
if(c1==l)
printf("enhorabuena");
else
printf("nada chaval");
getch();
}